
Redmine - Defect #41737

Deprecation warning for IMAP4 email receiving: "Call Net::IMAP.new with keyword options"

2024-11-13 02:04 - Grischa Zengel

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 6.0.2   

Resolution: Fixed Affected version: 6.0.1

Description

I use imap_receive and get:

/opt/redmine-6.0.1/lib/redmine/imap.rb:32: warning: DEPRECATED: Call Net::IMAP.new with keyword options

Associated revisions

Revision 23268 - 2024-11-14 07:59 - Go MAEDA

Fix deprecation warning for IMAP4 email receiving: "Call Net::IMAP.new with keyword options" (#41737).

Revision 23272 - 2024-11-15 00:43 - Go MAEDA

Merged r23268 from trunk to 6.0-stable (#41737).

History

#1 - 2024-11-13 10:42 - Go MAEDA

- Category set to Email receiving

- Target version set to 6.0.2

The following change will fix the warning.

I am setting the target version to 6.0.2.

Index: lib/redmine/imap.rb

===================================================================

--- lib/redmine/imap.rb    (リビジョン 23266)

+++ lib/redmine/imap.rb    (作業コピー)

@@ -29,7 +29,7 @@

         starttls = !imap_options[:starttls].nil?

         folder = imap_options[:folder] || 'INBOX'

-        imap = Net::IMAP.new(host, port, ssl)

+        imap = Net::IMAP.new(host, port: port, ssl: ssl)

         if starttls

           imap.starttls

         end

#2 - 2024-11-13 16:24 - Grischa Zengel

OK

#3 - 2024-11-14 01:00 - Go MAEDA

- Subject changed from DEPRECATED: Call Net::IMAP.new with keyword options to Deprecation warning for IMAP4 email receiving: "Call

Net::IMAP.new with keyword options"

#4 - 2024-11-14 08:00 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23268. Thank you for reporting the issue.
#5 - 2024-11-15 00:44 - Go MAEDA

- Status changed from Resolved to Closed

Merged the change in the trunk into the 6.0-stable branch in r23272.
